## Get list of headers for given module

### cURL

```bash
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/exports/headers-list \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/exports/headers-list"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/exports/headers-list', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes

- `200`
- `400`
- `404`
- `500`

### Example Response

```json
{
  "header1": true,
  "header2": true
}
```

### Error Responses

```json
{
  "message": "Bad Request"
}
```

```json
{
  "message": "Not a valid module name"
}
```

```json
{
  "message": "Internal Server Error"
}
```

---

### Authorizations

#### Authorization
- Type: `string`
- Location: `header`
- Requirement: Required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Headers
- `x-site-context`
  - Type: `string`
  - Requirement: Required
  - Description: The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.

**Example:**
  ```json
  {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
  ```

#### Query Parameters
- `module`
  - Type: `string`
  - Requirement: Required

### Response

- **200** `application/json`  
  List of headers.
